
Figure - Bug #116420
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】视频、日历、图库的mini小窗，上划进入recent后退出，Mini小窗顶部显示有全
屏、关闭等按钮
2023-02-21 16:37 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-21

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 从Mini态进入到recent后,小窗任务会先被kill,在recent点击再次进入mini态后,所有的窗口都会重新创建,默认是会显示Caption栏的

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开视频、日历、图库的mini小窗

2、上划进入任务管理器

3、退出任务管理器

4、查看Mini小窗显示

【预期结果】

4、Mini小窗与步骤一中显示、位置一致

【实际结果】

4、Mini小窗顶部显示有全屏、关闭等按钮

【复现率】

3/3

History

#1 - 2023-02-23 16:34 - CD FW-鲁凯峰

- Root cause set to 从Mini态进入到recent后,小窗任务会先被kill,在recent点击再次进入mini态后,所有的窗口都会重新创建,默认是会显示Caption栏的

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因,从Mini态进入到recent后,小窗任务会先被kill,在recent点击再次进入mini态后,所有的窗口都会重新创建,默认是会显示Caption栏的

解决问题的方法是,在创建的时候判断一下当前是否处于mini状态,如果处于,就隐藏Caption栏

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/183865
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/183865


#2 - 2023-02-24 13:46 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

#3 - 2023-02-24 13:47 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#4 - 2023-02-27 11:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

2.27

验证通过

#5 - 2023-02-27 11:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
